Loading...
Searching...
No Matches
bsoncxx::v1::types::b_null Struct Reference

`#include <bsoncxx/v1/types/view.hpp>`

## Description

BSON type value "Null Value".

## Static Public Attributes

static constexpr id | type_id = id::k_null
| The type represented by this BSON type value.

## Friends

bool | operator!= (b_null const &lhs, b_null const &rhs)
| Return false.
bool | operator== (b_null const &, b_null const &)
| Return true.

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | b_null const & | lhs,
|  | b_null const & | rhs )

friend

Return false.

## operator==

bool operator== | ( | b_null const & | ,
|  | b_null const & | )

friend

Return true.

## Member Data Documentation

## type_id

id bsoncxx::v1::types::b_null::type_id = id::k_null

static constexpr

The type represented by this BSON type value.

The documentation for this struct was generated from the following file:

- bsoncxx/v1/types/view.hpp